Subject: Re: bug#46594: [External] : bug#46594: Use short answers

From: Juri Linkov <[email-masked]>
Date: Wed, 24 Feb 2021 21:49:19 +0200

>> +** New variable 'use-short-answers' to use 'y-or-n-p' instead of 'yes-or-no-p'.
>> +This relieves of the need to define an alias that maps one to another
>> +in the init file.
>
> is this only about y-or-n-p vs yes-or-no-p?  Or do we expect to use
> this variable for other answers?  In the former case, perhaps the name
> of the variable should include "yes-or-no" somewhere, since
> "use-short-answers" sounds too general to hint on its use, IMO.

This is not only about about y-or-n-p/yes-or-no-p.  It also affects
the function 'read-answer' and its option 'read-answer-short'.

BTW, a related question: maybe recently added 'y-or-n-p-use-read-key'
and 'read-char-choice-use-read-key' could be joined into one option,
e.g. 'use-read-key'?